<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Newman Center, Columbia Mo</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta http-equiv="Imagetoolbar" content="no">
<?php
	include("settings.php");
?>
<style type="text/css">

html {
height:100%;
}
body {
height:100%;
margin:8;
padding:0;
color: #ebd18a;
background: #000000
}
p {
margin: 4px;
}

#content {
position:relative;
top:0;
height:15%;
}
#con1 {
position:absolute;
 top:25%;
 right:0;
 width:70%;
 }

a:link { 
color: #fbf1aa;
}
a:visited { 
color: #cbb16a;
}

#nav, #nav ul { /* all lists */
	padding: 0;
	margin: 0;
	list-style: none;
	line-height: 1;
}

#nav a {
	display: block;
	width: 10em;
}

#nav li { /* all list items */
	float: left;
	width: 10em; /* width needed or else Opera goes nuts */
}

#nav li ul { /* second-level lists */
	position: absolute;
	background: orange;
	width: 10em;
	left: -999em; /* using left instead of display to hide menus because display: none isn't read by screen readers */
}

#nav li ul ul { /* third-and-above-level lists */
	margin: -1em 0 0 10em;
}

#nav li:hover ul ul, #nav li:hover ul ul ul, #nav li.sfhover ul ul, #nav li.sfhover ul ul ul {
	left: -999em;
}

#nav li:hover ul, #nav li li:hover ul, #nav li li li:hover ul, #nav li.sfhover ul, #nav li li.sfhover ul, #nav li li li.sfhover ul { /* lists nested under hovered list items */
	left: auto;
}

#content {
	clear: left;
	color: #ccc;
}


</style>

<script type="text/javascript"><!--//--><![CDATA[//><!--

sfHover = function() {
	var sfEls = document.getElementById("nav").getElementsByTagName("LI");
	for (var i=0; i<sfEls.length; i++) {
		sfEls[i].onmouseover=function() {
			this.className+=" sfhover";
		}
		sfEls[i].onmouseout=function() {
			this.className=this.className.replace(new RegExp(" sfhover\\b"), "");
		}
	}
}
if (window.attachEvent) window.attachEvent("onload", sfHover);

//--><!]]></script>

<?php
function getmenu($menurl) {
#	downloads the menu from Google Docs as a CSV file, 
# ensure it has plenty of commas and writes it to the menu
	$menurl .= "&output=csv&gid=0";
	$file = file_get_contents($menurl);
	$ourFileName = "./data/menu.csv"; 
	$long = strlen($file);
	$commas = preg_match_all("/\,/",$file, $null);
	if($commas > 15){
		$fh = fopen($ourFileName, 'w') or die("Can't open file");
		fwrite($fh, $file) or die('Could not write to file');
		fclose($fh);
		$retu = "Menu retrieval succeeded:  ".$long." characters ".$commas." comma separated fields.<br>\n";
		$retu .= "The current menu should reflect recent changes.  If it does not, ";
		$retu .= "try un-publishing and re-publushing the menu Google Spreadsheet. ";
		$retu .= "Then update here again by refreshing this page.\n";
	}else{
		$retu = "Menu retrieval failed:  ".$long." characters ".$commas." comma separated fields";
	}
	return($retu);
}
function upd1page($dir,$arturl){
	$dirurl = "http://newmancentercolumbia.org/cgi-bin/get1page.pl?page=".$dir;
	$res2 = file_get_contents($dirurl);
	return($res2);

#	$dire = "./data/1_".$dir; 
#	if(!file_exists($dire)){
#		mkdir($dire);
#	}
}

function get1page($art1) {
// get contents of a file into a string
	$fil1 = "./data/$art1/View.html";
	if(!file_exists($fil1)){
		$fil1 = "./data/under.const/View.html";
	}
	$hand1 = fopen($fil1, "r");
	$pag1 = fread($hand1, filesize($fil1));
	fclose($hand1);
	$pag1 = preg_split("'<body*>'ims", $pag1, -1);
	$pag1 = $pag1[1];
	$pag1 = preg_split("'</body*>'ims", $pag1, -1);
	$pag1 = $pag1[0];
	$pag1 = preg_split("'<div id=\"google-view-footer\">'ims", $pag1, -1);
	$pag1 = $pag1[0];
	$pag1 = preg_replace('/ src="F/'," src=\"/data/$art1/F",$pag1);
	$pag1 = preg_replace("'<div (.*?)>'ims","",$pag1);
	$pag1 = preg_replace("'</div>'ims","",$pag1);
#	$pag1 = preg_replace("'\@newmancentercolumbia.org'ims","<img src=http://newmancentercolumbia.org/images/at.gif >newmancentercolumbia.org",$pag1);
	
	return($pag1);
}
?>

</head>

<body>


<?php
/* 1. parse the clean URL */
    $expl = explode("/",$HTTP_SERVER_VARS["REQUEST_URI"]);
    $article = $expl[count($expl)-1];
	$type = $expl[count($expl)-2];
#   print "$article<br>$type\n";
	if($article == "index.php"){
		$artck = "home";
		$article = "home";
	}elseif($article == ""){
		$article = "home";
		$artck = "home";
	}
	if($type == "update"){
		if($article == "menu"){  # menu updates come before the menu is printed
			if($_POST['p1'] == $pass){  #if the password is correct.
			  $comm = getmenu($menu_url);
			}else{ #if the password is not correct, prompt them for it.
				# Posting the form to a blank action will preserve the current clean URL
				$comm = "Updating Menu<p> Community Password:  <form method=\"post\" action=\"\">";
				$comm .= "<input type=\"password\" name=\"p1\" />";
				$comm .= "<p><input type=\"submit\" value=\"Get Menu\" /></form>\n";
				$comm .= "<p>Get the password on the <a href=\"http://sites.google.com/a/newmancentercolumbia.org/priv\" target=_new>Private Page</a>\n";
			}
		}
	}

    /* 2 security check */
	

    /* 3 populate the page with uniqid's content */
print "<div id=content>";
$header1 = get1page("header","");

print $header1;
print "</div>\n";
?>	
<!-- start Menu HTML -->
<?php

$lines = file('./data/menu.csv');
$i=2;  # $i is the column offset for the level columns
$n=0; # $n is the line counter
$lvl =1; # $lvl remembers what the last $v was.
foreach ($lines as $b)
  {
    $line= preg_split('/\,/', $b, -1); 
	if($n < 1){$n++;continue;} #takes out header line
	$n++;
	if($line[1]=="no"){continue;} #takes out lines not needed.

# Determine what the current line level is, put that in $v.
# Track the name of the menu item selected in $art
    if($line[$i]){$v=1;
	}elseif($line[$i+1]){$v=2;
	}elseif($line[$i+2]){$v=3;
	}elseif($line[$i+3]){$v=4;
	}else{continue;}#skip a line without a level.
	#$v is the current line's level.
	
#Track if this is the article that was selected, and if so, it's name & url
	if(chop($line[6])==$article){
		$artck = chop($line[6]);
		$art = chop($line[$i+$v-1]);
		$arturl = chop($line[7]);
		$arturl = preg_replace('/Doc/','a/newmancentercolumbia.org/Edit',$arturl); #
		#$arturl = "this here";
	}
	
# Determine the change in the line's level from the last line
	$w = $lvl - $v;#the last $lvl less the current $v = change in level
	#a -1 means add one ul, 0 = "" and 1 to 3 is that many /ul's
	
# Post line adjustments -made after the last line was done.  
# using the difference in level of the current line
	$ofs = ""; # clears this offset
    if($n>3){ #this would never go before the first one.
		if($v==2){$ofs = "  ";}
		if($v==3){$ofs = "    ";}
		if($v==4){$ofs = "      ";}
		if($w==3){print $ofs."      </li></ul>\n    </li></ul>\n  </li></ul>\n";}
		if($w==2){print $ofs."    </li></ul>\n  </li></ul>\n";}
		if($w==1){print $ofs."  </li></ul>\n";}	
		if($v==1){print "</li></ul>\n";}	#Don't take it all the way out if it's level 1.
	}elseif($n==2){
		print "<ul id=nav>\n"; 
	}
	
#  Pre-line adjustments - Add a ul if we are increasing the level
#  Can only go up one level at a time
    if($w==-1){
		if($v==1){print "<ul>\n";}
		if($v==2){print "  <ul>\n";}
		if($v==3){print "    <ul>\n";}
		if($v==4){print "      <ul>\n";}
    }elseif($w==0){
		if($v==1){print "</li>\n";}
		if($v==2){print "  </li>\n";}
		if($v==3){print "    </li>\n";}
		if($v==4){print "      </li>\n";}
    }
	
	if($v==1){
		#print "  <li><h2>"."v".$v." n".$n." w".$w." lvl".$lvl.chop($line[$i])."</h2>\n";
		print "  <li><h2>".chop($line[$i])."</h2>\n";
	}else{
		if($v==2){print "    ";}
		if($v==3){print "      ";}
		if($v==4){print "        ";}
		#print "<li><a href=/page/".chop($line[6])." >"."v".$v." n".$n." w".$w." lvl".$lvl.chop($line[$i+$v-1])."</a>\n";
		if(preg_match('/http:\/\/docs.google.com/', chop($line[7]))){
			print "<li><a href=/page/".chop($line[6])." >".chop($line[$i+$v-1])."</a>\n";
		}elseif(chop($line[7])){ #if it's not a google doc, open a new window with the link.
			print "<li><a href=".chop($line[7])." target=_new>".chop($line[$i+$v-1])."</a>\n";
		}else{
			print "<li><a href=/page/under.const >".chop($line[$i+$v-1])."</a>\n";
		}
	}

    $lvl = $v;  # record the last level's value for next time
  }# end of the foreach loop

#close the list at the end
#preg_replace("docs.google.com","docs.google.comnewmancentercolumbia.org",chop($line[6]));
	print "      <li><a href=/update/menu >Update Menu</a>\n";
	print "      <li><a href=".$arturl." target=_new>Edit ".$art." Doc</a>\n";
	print "      <li><a href=/update/".$artck." >Update ".$art." from Doc</a>\n";

	if($v==3){print "    </ul>\n  </ul>\n</ul>\n";
	}elseif($v==2){print "  </ul>\n</ul>\n";
	}elseif($v==1){print "</ul>\n";
	}	

	print "</div>";

	print "<div id=con1>";

	# We want to update the page before we print it.
	if($type == "update"){
		if($article <> "menu"){
			print "Updating ".$art."<p>";
			if($_POST['p1'] == $pass){  #if the password is correct.
				$comm = upd1page($artck,$arturl);
				$comm .= "<p><a href=/page/".$artck." >View the updated page.</a><p>";
			}else{ #if the password is not correct, prompt them for it.
				# Posting the form to a blank action will preserve the current clean URL
				$comm = "Community Password:  <form method=\"post\" action=\"\">";
				$comm .= "<input type=\"password\" name=\"p1\" />";
				$comm .= "<p><input type=\"submit\" value=\"Get Page\" /></form>\n";
				$comm .= "<p>Get the password on the <a href=\"http://sites.google.com/a/newmancentercolumbia.org/priv\" target=_new>Private Page</a>\n";
			}
#			print "This feature is still in development.  Contact Jim to update pages.  ";
		}
	}

	print $comm;  # If it's in $comm, we print it here.
	if(!($article == "menu")){ # If you're not updating the menu
		if(!($art == "Home Page")){
			print "<p><h1>&nbsp; &nbsp;".$art."</h1>";
		}
		$pagecon = get1page($artck,$arturl);  #send the url in case it's the first time for that page
		print  $pagecon;
	}
	print "</div>";
?>	



</body>
</html>
