
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Google Docs Help Center - Contacting Support</title>
<style type="text/css">
  /* CSE Search Results */
ul.search_results {
  margin: 0; padding: 0;
}
li.cse_search ul{
  padding: 0 0 0 2em; margin: 0;
}
ul.search_results li, li.cse_search ul li{
  list-style: none;
  padding: 1em 0 0 0; margin: 0;
}
ul.search_results h3{
  font-size: 1.2em;
  font-weight: normal;
  margin: 0; padding: 0;
}
.comm_search_entry {
  margin-left: 30px;
}
a.cse_result{
  font-size: 1.2em;
}
h2.cse_result {
  font-size: 1.2em;
  margin:0; padding:0;
  font-weight: normal;
}
.cse_search{
  border:0px solid #CCC;
  padding:0px 25px 25px 0;
  margin:25px 0 10px 0;
}
.result_pages{
  text-align: center;
  padding: 1em;
  word-spacing: .3em;
  margin-top: 2em;
}
.result_pages span{
  word-spacing: normal;
}
.cse_labels{
  /*word-spacing: .3em;*/
  margin: 0; padding: 0;
}
.cse_labels a, .cse_labels a:visited, .cse_labels span{
  word-spacing: normal;
  color: #666;
}
#maplink{
  display:block;
  margin-top: 1em;
}
#errortxt{
  display:block;
  margin-top: 1em;
}
.cse_note a.light, .cse_note a.light:visited{
  color:#77c;
  text-decoration: underline;
}
a.light, a.light:visited{
  color:#77c;
}
.url{
  color: green;
  margin: 0; padding: 0;
}
.back_to_browse{
  display: block;
  margin-top: 2em;
}
.curr_page{
  border-bottom: 1px solid #ccc;
  margin-bottom: 1em;
  text-align: right;
  padding: 0;
}
.searchbox_form{
  margin:0 0 1em 0; padding:0;
}
.footer_searchbox_form{
  margin-top: 2em;
  text-align: center;
}
.footer_searchbox_form table{
  margin: 0 auto;
}
.cse_note, span.cse_note, span.cse_note a, span.cse_note a:visited {
  color: green;
}
.cse_lang_msg{
  padding: 0 0 1em 0;
}
.cse_next, .cse_previous{
  font-weight: bold;
  font-size: 1.2em;
}
.sus_links{
  padding:5px;
  border:1px solid #CCC;
  background-color:#EDF9E6;
  margin-bottom:15px;
  width: 39em;
}
div.cse_leftnav ul{
  padding: 0; margin: 0;
  list-style:none;
}
div.cse_leftnav ul li{
  padding: 0; margin: 1em 0 0 0;
}
div.cse_leftnav ul ul{
  list-style: none;
  padding: 0; margin: 0 0 0 .5em;
}
div.cse_leftnav ul li li{
  padding: 0; margin: 0 0 .5em 0;
}
div.cse_leftnav{
  padding: 0 0 1em .5em;
}
ul.search_results li.cse_same_source {
  /* padding-left: 3em; */
}
li.more_results_link {
  padding-top: 0 !important;
}
.cse_error_text {
  color: #cc0033;
}
p.cse_suggestion {
  font-size: 1.2em;
}
p.snippet {
  margin: 0;
  padding: 0;
}
ul.top_labels {
  margin: 0; padding: 0;
}
ul.top_labels li {
  list-style: none;
  display: inline;
  margin-right: 1em;
}
p.top_labels_text {
  font-size: 1.2em;
  margin-bottom: .2em;
}
body {font-family:Arial,Helvetica,sans-serif;}
.mainbody {background-color:#ffffff;;}
td {font-size:83%;}
a:link {color:#0000cc}
a:visited {color:#0000cc}
.n, .sn {margin:0 0 6px 0;padding:0}
.topic_body {background-color:#ffffff;;}
.h {padding:2px 0}
.search, .d {padding:2px 0}
.sectiontitle {padding:0 0 2px 0;border-bottom:1px solid #cccccc; font-size:95%; color:#444444;}
.sectiontitle2 {padding:0 0 2px 0;border-bottom:1px solid #cccccc; font-size:83%; color:#444444;}
.sectiontitlenobr {padding:0 0 8px 0}
.top5 {padding:0 0 2px 0}
ul.tour {list-style-type:none;line-height:155%;margin:0;padding:0 0 0 .2em}
ul.tour li {background-image: url(images/document3.gif);background-repeat: no-repeat;background-position: 0;padding-left:1.6em}/*background-position: 0 .6em;padding:0 0 0 .8em*/
ol.section {line-height:155%;color:#666666;margin:0 0 0 1.9em;padding:0}
.module_body {background-color:#ffffff;;}
.module_hdr{padding:3px 6px 3px 6px; background-color:#E5ECF9;; color:#000000;; border:1px solid #cccccc;;}
ul.section {list-style-type:none;line-height:155%;margin:0;padding:0 0 0 .2em}
ul.section li {background-image: url(https://www.google.com/accounts/hosted/helpcenter/images/smallbullet.gif);background-repeat: no-repeat;background-position: 0 .6em;padding:0 0 0 .8em}
/*ul.section { line-height:155%; margin: 0; padding: 0 0 0 1.3em }*/
div.module ul { line-height: normal; }
/* New Modules */
div.module {
  font-size: .9em;
  margin: 0 0 1em 0;
  padding: 0 .5em 1em 1em;
  border: 1px solid #ccc;
  clear: both;
}
div.module h4, div.module h2 {
  margin: 0 -.5em .5em -1em;
  padding: .3em .5em;
  background: #e5ecf9;
  border-bottom: 1px solid #ccc;
}
div.module h2 {
  font-size: 1em;
}
*html div.module h4 {
  font-size: 1em;
}
div.module ol {
  margin: 0;
  padding: 0 0 0 2em;
}
div.module ol li {
  padding: .2em 0 0 0;
}
div.module ul {
  margin: 0;
  padding: 0 0 0 1.5em;
}
div.module ul li {
  list-style: disc outside;
}
div.module form {
  margin: 0;
  padding: 0;
}
div.module_searchbox {
  padding: 0 .5em .5em .5em;
}
div.module_searchbox h4, div.module_searchbox h2 {
  margin: 0 -.5em .5em -.5em;
}
div.module_searchbox .button {
  font-size: .8em;
}
div.module_topsearches {
  padding: 0 0 1em 0;
}
div.module_topsearches h2 {
  margin: 0 0 .5em 0;
}
div.module_topsearches h3 {
  border-top: 1px solid #ccc;
  margin: 1em 0 0 0;
  padding: .5em 0 0 .5em;
  font-size: 1em;
}
div.module_topsearches ol {
  margin: 0 0 0 .5em;
}
div.module_topsearches form {
  margin: 0;
  padding: 0 0 0 .5em;
}
div.module p {
  margin-bottom: 0;
}
div.module_u2u p {
  padding: 0;
  margin: 0;
  display: block;
  background: url(https://www.google.com/accounts/hosted/helpcenter/images/icon_groups.gif) no-repeat 0 0;
  padding-left: 45px;
}
p.p_u2u {
  padding: 0;
  margin: 0;
  display: block;
  background: url(https://www.google.com/accounts/hosted/helpcenter/images/icon_groups.gif) no-repeat 0 0;
  padding-left: 45px;
}
p.p_glossary {
  padding: 0 0 .2em 0;
  margin: 0;
  display: block;
  background: url(http://www.google.com/help/hc/images/books_32px.gif) no-repeat 0 0;
  padding-left: 45px;
}
p.p_known_issues {
  padding: 0;
  margin: 0;
  display: block;
  background: url(http://www.google.com/help/hc/images/siteissues-32.gif) no-repeat 0 0;
  padding-left: 45px;
}
div.module_flag {
  background: url(http://www.google.com/help/hc/images/flag_E5ECF4.gif) no-repeat 5px 30px;
  padding-left: 35px;
}
div.module_flag h4, div.module_flag h2 {
  margin-left: -35px;
}
p.p_module_fix {
  padding: 0;
  margin: 0;
  background: url(http://www.google.com/help/hc/images/siteissues-32.gif) no-repeat;
  padding-left: 45px;
}
div.module_fix {
  background: url(http://www.google.com/help/hc/images/siteissues-32.gif) no-repeat 5px 30px;
  padding-left: 45px;
}
div.module_fix h4, div.module_fix h2 {
  margin-left: -45px;
}
div.module_glossary {
  background: url(http://www.google.com/help/hc/images/books_32px.gif) no-repeat 5px 30px;
  padding: 0 .5em 1.5em 45px;
}
div.module_glossary h4, div.module_glossary h2 {
  margin: 0 -.5em 1em -45px;
}
div.module_alert h4, div.module_alert h2 {
  background: #900 !important;
  color: #fff;
  border-bottom: 1px solid #900;
}
div.module_alert {
  border: 1px solid #900;
}
div.module_video {
  padding: 0 0 .5em 0;
  text-align: center;
}
div.module_video h4, div.module_video h2 {
  text-align: left;
  margin: 0;
}
div.column1, ul.column1{
  float:left; width:50%;
}
div.column2, ul.column2{float:none;}
div.break{padding-bottom:5px; clear:both;}
.fyi {padding:3px 0 0 0}
.t {padding:4px 0 2px 4px}
.b {padding:0 0 4px 4px}
.smfont td {font-size:73%}
.footer {
  color:#666666;
  margin-top: 1em;
}
.tl {
background-image: url(http://www.google.com/mail/help/images/corner_tl_sharp.gif);
background-position:top left;
background-repeat:no-repeat;
}
.tr {
background-image: url(http://www.google.com/mail/help/images/corner_tr_sharp.gif);
background-position:top right;
background-repeat:no-repeat;
}
.bl {
background-image: url(http://www.google.com/mail/help/images/corner_bl_sharp.gif);
background-position:bottom left;
background-repeat:no-repeat;
}
.br {
background-image: url(http://www.google.com/mail/help/images/corner_br_sharp.gif);
background-position:bottom right;
background-repeat:no-repeat;
}
.bubble {background-color:#C3D9FF;}
.navitem {
margin: 5px 5px 6px 5px;
}
/* Footer */
p.footer_contact, p.footer_nav {
  font-size: .8em;
  text-align: center;
  color: #666;
}
p.footer_nav {
  border-top: 1px solid #999;
  padding-top: .7em;
}
/* Additional Help Resources */
h3.footer{
  margin: 20px 0 10px 0;
  padding: 5px 0 0 0;
  font-size: 10pt;
  border-bottom: 1px solid #cccccc;
  color: #000;
  text-align: left;
}
h3.footer_helpful {
  margin-top: 3em;
}
.related_topics h4{
  margin: 10px 0 0 40px;
  padding: 5px 0 0 0;
  font-size: 10pt;
}
.articles{
  background: url(http://www.google.com/help/hc/images/interested_35.gif) no-repeat top left;
}
.groups{
  background: url(http://www.google.com/options/icons/groups.gif) no-repeat top left;
}
.related_topics ul{
  list-style: none;
  margin-left: 40px; margin-top: 0; padding-top: 0; padding-left: 0;
}
.related_topics ul li{
  margin: 4px 0;
}
/* Pretty KBs */
.lightbulb {
  background: #ffffd9 url(https://adwords.google.com/select/images/bulb.gif) no-repeat .5em .5em;
  padding: .5em .5em .5em 2.5em;
  border: 1px solid #b3b3b3;
  color: #353535;
}
.action {
  background: #f2f7ff;
  padding: .5em;
  border: 1px solid #b3b3b3;
  color: #353535;
}
.alert {
  background: #fff9ca url(http://www.google.com/help/hc/images/alert18.png) no-repeat .5em .3em;
  padding: .5em .5em .5em 2.5em;
  border: 1px solid #888;
  color: #2e2e2e;
}
.note {
  background: #fdfdfd url(http://www.google.com/help/hc/images/note18.png) no-repeat .5em .3em;
  padding: .5em .5em .5em 2.5em;
  border: 1px solid #b3b3b3;
  color: #353535;
}
a.leftarrow {
  background: url(http://www.google.com/help/hc/images/arrowl.png) no-repeat .5em .3em;
  padding: .5em .5em .5em 3em;
}
a.rightarrow {
  background: url(http://www.google.com/help/hc/images/arrowr.png) no-repeat top right;
  padding: .1em 2.8em .5em .5em;
}
div.summaryBox {background-color:#e5ecf9; padding: 0.5em; border:1px solid #b3b3b3}
div.summaryBox h3 {margin: 0px; padding: 0; }
/* Contact Policy */
ul.contactPolicy {margin:2em 0 0 0; padding:0;}
ul.contactPolicy li {list-style:none; padding-left:50px; padding-bottom:3em;}
ul.contactPolicy li li {list-style:disc; padding-left:0; padding-top:.5em; padding-bottom:0;}
ul.contactPolicy li.helpCenter {background:url(http://www.google.com/help/hc/images/interested_24_transparent.gif) no-repeat top left; padding-top:.5em;}
ul.contactPolicy li.helpGroup {background:url(http://www.google.com/help/hc/images/u2u_transparent.gif) no-repeat 5px 0}
ul.contactPolicy li.helpContact {background:url(http://www.google.com/help/hc/images/letter_transparent.gif) no-repeat 5px 0}
ul.contactPolicy li.helpSuggestions {background:url(https://adwords.google.com/select/images/bulb.gif) no-repeat 5px 0}
ul.contactPolicy li.helpTestimonial {background:url(http://www.google.com/help/hc/images/picasa_cfheart.png) no-repeat 5px 0}
ul.contactPolicy li.callout_box { padding-left: 0; }
table.contactPolicy {margin-bottom: 20px; background: #eef4ff; }
table.contactPolicy tr.row1 td.td1{ width: 8px; height: 8px; background: url(http://www.google.com/help/hc/images/survey_bg_topleft.gif) top left no-repeat; }
table.contactPolicy tr.row1 td.td2{ height: 8px; background: url(http://www.google.com/help/hc/images/survey_bg_stripe.gif ) top left repeat-x; }
table.contactPolicy tr.row1 td.td3{ width: 8px; height: 8px; background: url(http://www.google.com/help/hc/images/survey_bg_topright.gif) top right no-repeat; }
table.contactPolicy tr.row2 td.td1{ width: 8px; background: url(http://www.google.com/help/hc/images/survey_bg_stripe.gif ) top left repeat-y; }
table.contactPolicy tr.row2 td.td3{ width: 8px; background: url(http://www.google.com/help/hc/images/survey_bg_stripe.gif ) top right repeat-y; }
table.contactPolicy tr.row3 td.td1{ width: 8px; height: 8px; background: url(http://www.google.com/help/hc/images/survey_bg_bottomleft.gif) bottom left no-repeat; }
table.contactPolicy tr.row3 td.td2{ height: 8px; background: url(http://www.google.com/help/hc/images/survey_bg_stripe.gif ) bottom left repeat-x; }
table.contactPolicy tr.row3 td.td3{ width: 8px; height: 8px; background: url(http://www.google.com/help/hc/images/survey_bg_bottomright.gif) bottom right no-repeat; }
table.contactPolicy.helpCenter tr.row2 td.td2{ background:url(http://www.google.com/help/hc/images/interested_24_transparent.gif) no-repeat top left; padding: 3px; }
table.contactPolicy.helpGroup tr.row2 td.td2{ background:url(http://www.google.com/help/hc/images/u2u_transparent.gif) no-repeat top left; padding: 3px; }
table.contactPolicy.helpContact tr.row2 td.td2{ background:url(http://www.google.com/help/hc/images/letter_transparent.gif) no-repeat top left; padding: 3px; }
table.contactPolicy.helpSuggestions tr.row2 td.td2{ background:url(https://adwords.google.com/select/images/bulb.gif) no-repeat top left; padding: 3px; }
table.contactPolicy.helpTestimonial tr.row2 td.td2{ background:url(http://www.google.com/help/hc/images/picasa_cfheart.png) no-repeat top left; padding: 3px; }
table.contactPolicy.helpCenter tr.row2 td.td2, table.contactPolicy.helpGroup tr.row2 td.td2,
table.contactPolicy.helpContact tr.row2 td.td2, table.contactPolicy.helpSuggestions tr.row2 td.td2,
table.contactPolicy.helpTestimonial tr.row2 td.td2 {
  padding-left: 40px;
}
.lang_dropdown, .lang_dropdown select{
font-size:10px;
}
form.lang_dropdown {
  margin: 0; padding: 0;
}
/* Header */
.header_table {
  margin: .5em 0;
}
.header_table .header_logo_td {
  padding: 0 10px;
}
.header_table h1 {
  margin: 0;
  padding: 0;
  font-size: 1.2em;
}
.header_table tr.breadcrumbs_tr td {
  border-top: 1px solid #999;
  padding-bottom: .3em;
}
.header_table .lang_dropdown {
  margin-bottom: .1em;
}
.header_table .header_heading_td, .header_table .header_dropdown_td {
  padding-top: 0;
}
/* Targeted Footers */
.targeted_troubleshoot{
  background: url(http://www.google.com/help/hc/images/wrench_E5ECF4.gif) no-repeat 3px 3px;
  padding-bottom: 20px;
}
.targeted_abuse{
  background: url(http://www.google.com/help/hc/images/flag_E5ECF4.gif) no-repeat 6px 3px;
  padding-bottom: 20px;
}
.targeted_contact{
  background: url(http://www.google.com/help/hc/images/letter_transparent.gif) no-repeat 3px 3px;
  padding-bottom: 20px;
}
.targeted_groups{
  background: url(http://www.google.com/help/hc/images/u2u_icon.gif) no-repeat 3px 3px;
  padding-bottom: 20px;
}
/* CSS Contextual Help */
a.tooltip {
  text-decoration: none;
  display: block;
}
a.tooltip:hover { z-index:25; background-color: #fff; }
a.tooltip span.tip { display: none; }
a.tooltip:hover span.tip {
  display: block;
  position: absolute;
  top: 1em; left: 1em; width: 15em;
  border: 1px solid #ccc;
  color: #7f7f7f;
  font-size: .8em;
  background: #fff;
  width: 217px;
  padding: 1em;
  text-align: left;
  cursor: pointer;
}
a.tooltip img {
  border: 0;
}
/* Random Styles */
ul.no_bullets, div.module ul.no_bullets {
  list-style-type: none;
  padding-left: 0;
  margin-left: 0;
}
ul.no_bullets li, div.module ul.no_bullets li {
  list-style-type: none;
}
div.module ul.extra_space li {
  margin: 1em 0 0 0;
}
.err {
  color: red;
}
.clear {
  clear: both;
}
h2.page_heading {
  margin: 0 0 .2em 0;
  padding: 0 0 .2em 0;
  font-size: 1.2em;
  border-bottom: 1px solid #ccc;
}
/* Left Nav */
ul.leftnav {
  margin: 1em 0 0 0;
  padding: 0;
  list-style: none;
}
ul.leftnav li {
  margin: 0;
  padding: 0 0 1.2em 0;
}
ul.leftnav li.on a {
  color: #000;
  text-decoration: none;
}
/* Topics */
ul.topics {
  margin: 0; padding: 0;
}
ul.topics h2 {
  margin-top: 0;
  padding-top: 0;
  font-size: 1.2em;
}
ul.topics h3 {
  margin: 1.5em 0 0 0;
  font-size: 1em;
  color: #444;
}
ul.topics ul {
  list-style: disc outside;
  padding-left: 1em;
}
ul.topics ul ul {
  margin-left: 1.3em;
  padding-left: 0;
  list-style: circle outside;
}
ul.topics li.title {
  list-style: none;
}
ul.topics li.title li.title {
  padding-left: 1em;
}
ul.topics ul {
  padding: 0; margin: 0;
}
/* KBs under one topic */
ul.topics li.title li.topiclist_kb {
  margin: .3em 0 .3em 2em;
}
/* Subtopic */
ul.topics li.title li.topiclist_topic {
  list-style: none;
  font-weight: bold;
  margin: 2em 0 2em 0;
}
/* KBs under subtopics */
ul.topics li.title li.title li.topiclist_kb {
  margin-left: 0;
}
/* Subsubtopics */
ul.topics li.topiclist_subsubtopics {
  list-style: circle outside;
  margin: .3em 0 .3em 0;
}
p.topics_footer {
  margin: 2em 0 1em 1em;
}
/* Homepage Topics */
ul.homepagetopics {
  margin: 0; padding: 0;
}
ul.homepagetopics li.title {
  list-style: none;
}
ul.homepagetopics li.title h2 {
  margin: 0 0 .2em 0;
  padding: 0 0 .2em 0;
  font-size: 1.1em;
  border-bottom: 1px solid #ccc;
  color:#444;
}
ul.homepagetopics li.title {
  margin-bottom: 1em;
}
ul.homepagetopics li ul {
  margin: 0 0 0 1.2em; padding: 0;
  list-style: disc outside;
}
ul.homepagetopics li ul li {
  padding: 0 0 .4em 0;
}
/* Known Issues */
.known_issues_table th {
  font-weight: normal;
}
/* Answer page */
div.answer_heading {
  margin-bottom: 1em;
}
h2.answer_title {
  margin: 0; padding: 0;
  display:inline;
  float: left;
  font-size: 1.2em;
}
a.print_page {
  float: right;
  background: url(https://mail.google.com/mail/images/print_icon.gif) no-repeat 0 0;
  padding: 0 0 0 20px;
}
p.breadcrumbs {
  font-size: .8em;
  margin: 0;
}
a.expand{
  background: url('http://www.google.com/images/zippy_minus_sm.gif') no-repeat 0 0;
  padding-left: 20px;
}
a.collapse{
  background: url('http://www.google.com/images/zippy_plus_sm.gif') no-repeat 0 0;
  padding-left: 20px;
}
/* Print-friendly CSS */
@media print {
  p.breadcrumbs, p.footer_nav span.therest, p.footer_contact,
  td.leftnav_td, .top_searchbox, a.print_page, div.helpful_wrapper,
  div.additional_resources_wrapper, ul.leftnav, .lang_dropdown,
  td.modules_td, div.left_column, div.right_column, ul.tabs,
  table.survey_invite {
  display:none;
  }
  .tabbody {
  border:none !important;
  }
  .tabselected, .tabunselected {
  display:none;
  }
  div.content {
  margin: 0;
  }
}
/* Tabs */
#ohcrtabsrgr8 table { margin: 0; padding: 0; width: 100%; border-bottom: 3px solid #C3D9FF; }
#ohcrtabsrgr8 td { background-color: #E5ECF9; padding: 2px 10px; text-align:center; white-space:nowrap; }
#ohcrtabsrgr8 td.gr8tabscurrent { background-color: #C3D9FF; color:black; font-weight:bold; text-decoration:none; }
#ohcrtabsrgr8 td.gr8tabsfillerbegin { background-color: white; padding:0; }
#ohcrtabsrgr8 td.gr8tabspace { background-color: white; padding:0; }
#ohcrtabsrgr8 td.gr8tabsfillerend { background-color: white; padding: 0; width: 80%; }
.article_content h3 {font-size:1.05em;color:#313131;}
/* NEW WRAPPER */
html, body {
  font-size: 90%;
}
p.footer_contact, p.footer_nav, table.survey_invite {
  clear: both;
  font-size: 1em;
}
table.survey_invite {
  font-size: 1.2em;
}
div.answer_heading {
  overflow:auto;
}
*html div.answer_heading {
  overflow:visible;
  display:inline-block;
}
div.left_column {
  width: 160px;
  float: left;
  margin-left: 10px;
}
div.content {
  margin: 0 0 0 180px;
  padding: 0 0 0 1em;
}
div.right_column {
  margin: 0 .5em;
  width: 230px;
  float: right;
}
body.request_page div.content table {
  width: auto;
}
  body.index_page div.content, body.topic_page div.content,
  body.answer_page div.content {
  margin-right: 250px;
  }
.skiplink{ position: absolute; top: -9999px; left: -9999px; }
.skiplink:focus { position: absolute; top: 0px; left: 0px; }
ul.tabs {
  margin: 0 0 1em 0; padding: 0 0 .2em 0;
  border-bottom: 3px solid #c3d9ff;
}
ul.tabs li {
  list-style: none;
  display: inline;
  margin: 0 0 0 .5em;
  padding: .2em 1em;
  background: #e5ecf9;
}
ul.tabs li.selected {
  background: #c3d9ff;
}
ul.tabs li.selected a {
  color: #000;
  text-decoration: none;
  font-weight: bold;
}
  /* tabs for switching between Documents and Spreadsheets portion */
.tabselected {
font-weight:bold;
background-color:#C3D9FF;
border-bottom:0px;
color:#000000;
padding:3px;
}
.fontselected {
color:#000000 !important;
text-decoration:none;
}
.tabunselected {
background-color:#E5ECF9;
border-bottom:0px;
padding:3px;
}
.tabbody { border:1px solid #C3D9FF; padding:5px; border-top-width:6px; }
/* css code for adding tabs to the articles */
#ohcrtabsrgr8 table {
margin:0;
padding:0;
width:100%;
border-bottom:3px solid #C3D9FF;
}
#ohcrtabsrgr8 td {
background-color:#E5ECF9;
padding:2px 10px;
text-align:center;
}
#ohcrtabsrgr8 td.gr8tabscurrent {
background-color:#C3D9FF;
color:black;
font-weight:bold;
text-decoration:none;
}
#ohcrtabsrgr8 td.gr8tabsfillerbegin {
background-color:white;
padding:0;
}
#ohcrtabsrgr8 td.gr8tabspace {
background-color:white;
padding:0;
}
#ohcrtabsrgr8 td.gr8tabsfillerend {
background-color:white;
padding:0;
width:80%;
}
table.webmaster_invite{ margin-top: 20px; margin-bottom: 20px; background: #fefde6; color: #010101; }
table.webmaster_invite tr.row1 td.td1{ width: 8px; height: 8px; background: url(http://www.google.com/help/hc/images/survey_yellow_bg_topleft.gif;) top left no-repeat; }
table.webmaster_invite tr.row1 td.td2{ height: 8px; background: url(http://www.google.com/help/hc/images/survey_yellow_bg_stripe.gif ) top left repeat-x; }
table.webmaster_invite tr.row1 td.td3{ width: 8px; height: 8px; background: url(http://www.google.com/help/hc/images/survey_yellow_bg_topright.gif) top right no-repeat; }
table.webmaster_invite tr.row2 td.td1{ width: 8px; background: url(http://www.google.com/help/hc/images/survey_yellow_bg_stripe.gif ) top left repeat-y; }
table.webmaster_invite tr.row2 td.td2{ padding: 3px; }
table.webmaster_invite tr.row2 td.td3{ width: 8px; background: url(http://www.google.com/help/hc/images/survey_yellow_bg_stripe.gif ) top right repeat-y; }
table.webmaster_invite tr.row3 td.td1{ width: 8px; height: 8px; background: url(http://www.google.com/help/hc/images/survey_yellow_bg_bottomleft.gif) bottom left no-repeat; }
table.webmaster_invite tr.row3 td.td2{ height: 8px; background: url(http://www.google.com/help/hc/images/survey_yellow_bg_stripe.gif ) bottom left repeat-x; }
table.webmaster_invite tr.row3 td.td3{ width: 8px; height: 8px; background: url(http://www.google.com/help/hc/images/survey_yellow_bg_bottomright.gif) bottom right no-repeat; }
</style>
<script type="text/javascript">
<!--
 function correctLangCode_default(lang){
   s = window.location;
   s = s.toString();
   
   if (lang == "zh-CN")
      correctedLang = "zh_CN";
   else if (lang == "zh-CN_CN")
      correctedLang = "zh_CN";
   else if (lang == "zh-TW")
      correctedLang = "zh_TW"; 
   else if (lang == "zh-TW_TW")
      correctedLang = "zh_TW"; 
   else if (lang == "pt-BR")
      correctedLang = "pt_BR"; 
   else if (lang == "pt-BR_BR")
      correctedLang = "pt_BR"; 
   else if (lang == "en-GB")
      correctedLang = "en_GB"; 
   else if (lang == "en-GB_GB")
      correctedLang = "en_GB"; 
   else if (lang == "en-US")
      correctedLang = "en_US"; 
	  
   s = s.replace(lang, correctedLang);
   location.replace(s);

   return correctedLang;
 }

function setCookies_default(cookieName,cookieValue,calledFrom,days) {
   if (cookieValue == "") {
     var cookieValue = getQueryVariable_default("hl");
   }
   if (cookieValue) {
     var today = new Date();
     var expire = new Date();
     if (!days) {
       days = 365;
     }
     expire.setTime(today.getTime() + 3600000*24*days);

     
     

     

     document.cookie = cookieName+"="+escape(cookieValue)
                  + ";expires="+expire.toGMTString()
                   + ";path=/support/";

   }
   if (calledFrom == "dropdown") {
	 newURL = new String(window.location);
	 newURL = newURL.replace("hl=", "hlrm=");
	 if(newURL.search(/#/i)>=0)	{
		tempURL = newURL.split('#');
		if(tempURL[0].search(/hlrm=/i)>=0)	{
		tempURL[0]=tempURL[0].replace(/(hlrm=[a-z][a-z]_[A-Z][A-Z])|(hlrm=[a-z][a-z])/i, 'hlrm='+cookieValue);
		newURL = tempURL[0]+((tempURL[1]!= undefined)?'#'+tempURL[1]:'');
		}
		else	{
		if(tempURL[0].search(/\?/i)>=0)	{
		newURL = tempURL[0]+'&hlrm='+cookieValue+((tempURL[1]!= undefined)?'#'+tempURL[1]:'');
		}
		else	{
		newURL = tempURL[0]+'?hlrm='+cookieValue+((tempURL[1]!= undefined)?'#'+tempURL[1]:'');
		}
		}
	 }
	 window.location.href = newURL;
  }
}
function getQueryVariable_default(variable) {
  var query = window.location.search.substring(1);
  var vars = query.split("&");
  for (var i=0;i<vars.length;i++) {
    var pair = vars[i].split("=");
    if (pair[0] == variable) {
      return pair[1];
    }
  } 
 }
-->
</script>
<script language="javascript">
function searchValidate(theForm) {
  if (theForm.query.value=='') {
  alert('To search the Help Center, please enter a keyword or phrase.');
  return false;
  }
  return true;
}
</script>
<script language="javascript">
function getCookie() {
  var args = getCookie.arguments;
  var name = args[0];
  var sep = args[1];
  var start = document.cookie.indexOf(name + "=");
  var len = start + name.length + 1;
  if ((!start) &&
  (name != document.cookie.substring(0, name.length))) {
  return null;
  }
  if (start == -1) {
  return null;
  }
  var end = document.cookie.indexOf(sep, len);
  if (end == -1) {
  end = document.cookie.length;
  }
  return unescape(document.cookie.substring(len, end));
}
</script>
<script language="javascript">
function showLayer(layer){
 try {
 document.getElementById(layer).style.display = "block";
 } catch(e){}
}
function showLayerDefault(layer){
 try {
 document.getElementById(layer).style.display = "";
 } catch(e){}
}
function hideLayer(layer){
 try {
 document.getElementById(layer).style.display = "none";
 } catch(e){}
}
function toggleLayer(id) {
  var obj = document.getElementById(id);
  if (obj) {
  if (obj.style.display == "none") {
  obj.style.display = "block";
  } else {
  obj.style.display = "none";
  }
  }
}
function toggleLayerDefault(id) {
  var obj = document.getElementById(id);
  if (obj) {
  if (obj.style.display == "none") {
  obj.style.display = "";
  } else {
  obj.style.display = "none";
  }
  }
}
function toggleZippy(layer){
 try {
  document.getElementById(layer).className = (document.getElementById(layer).className == "expand")? "collapse": "expand";
 } catch(e){}
}
function showAll(node){
	 /* shows all children of "node" This is for testing purposes. */
	var treeList = '';
	if (node.nodeType ==1 /*Node.ELEMENT_NODE */){
		var holder;
		var child;
		for (var children = node.childNodes, i=0; i <children.length; i++){
			child = children[i];
			holder = 'child ' + i + ' id: ' + child.id + '\tnodeType: ' + child.nodeType + '\n';
			treeList += holder;
			if (child.nodeType == 1){
				child.style.display = "block";
			}
		}
		alert(treeList);
	}
}

function nextElement(node){ //grabs the next non-text element
	/* returns the next sibling of "node"
	   where next sibling is a Node.ELEMENT_NODE nodeType */
	var k = node.nextSibling;
	while (k.nodeType != 1 /*not Node.ELEMENT_NODE*/){
		k = k.nextSibling;
	}
	return k;
}
 
function showNode(node) {if (node.nodeType == 1) node.style.display = "block";}
function hideNode(node){if (node.nodeType == 1) node.style.display = "none";}
 
function hideBelow(node){ //hides everything below the level of node
	/* calls hideNode() on all siblings coming after "node"
       where next sibling is a Node.ELEMENT_NODE nodeType */
	var k = nextElement(node);
	while (k.style.display == "block"){
		hideNode(k);
		k = nextElement(k);
	}
}
 
function setNext(currNode, nextNode){
	/* makes sure "nextNode" comes after "currNode"
	   calls showNode() on the "nextNode" */
	if (currNode.parentNode.id == nextNode.parentNode.id){ //same parents?
		var old_node = nextElement(currNode);
		//replace if nextNode is not immediately nextElement of currNode
		if(old_node.id != nextNode.id){
			var parent = currNode.parentNode;
			var new_node = parent.removeChild(nextNode);
			old_node = parent.replaceChild(new_node, old_node);
			parent.appendChild(old_node);
			old_node = nextElement(currNode);
		}
		showNode(old_node);
	} else {
		return;
	}	
}
 
function getNext(curr, next){
	/* uses the "curr" and "next" layer names and grab their respective node elements
       calls hideBelow() on the node associated with "curr"
       calls setNext() on nodes associated with "curr and "next" */
	var n = document.getElementById(curr);
	var m = document.getElementById(next);
 
	hideBelow(n);
	setNext(n, m);
}

</script>
<script language="javascript">
function check_radio(formname, forminput) {
radioObj = document.forms[formname].elements[forminput];
	if(!radioObj)
		return "";
	var radioLength = radioObj.length;
	if(radioLength == undefined)
		if(radioObj.checked){
		return radioObj.value;
		} else {
		return "";
  }
	for(var i = 0; i < radioLength; i++) {
		if(radioObj[i].checked) {
			return radioObj[i].value;
		}
	}
	return "";
}
</script>
  <script>
  function chooseSearch(search_form) {
  var search_types = document.getElementsByName('search_type');
  for (var i = 0; i < search_types.length; i++) {
      if(search_types[i].checked && search_types[i].value == "hc_search") {
        search_form.action = '/support/bin/search.py?query=';
      }
      else if (search_types[i].checked && search_types[i].value == "all_help") {
        urchinTracker('/support/outgoing/search/allhelp/en//M');
        search_form.action = "http://www.google.com/cse";
        
          search_form.elements['client'].value = "google-coop-np";
        
          search_form.elements['hl'].value = "en";
        
          search_form.elements['cx'].value = "003125405486913854919:6ixdakj4aiq";
        
      }
      else if (search_types[i].checked && search_types[i].value == "web_search") {
        urchinTracker('/support/outgoing/search/websearch/en//M');
        search_form.action = "http://www.google.com/custom"
        
          search_form.elements['cof'].value = "AH:left;CX:Google%20Help;L:http://www.google.com/coop/intl/en-US/images/custom_search_sm.gif;LH:65;LP:1;GFNT:#666666;DIV:#cccccc;";
        
          search_form.elements['adkw'].value = "AELymgWlZqFSlDS8nJbtze0E_0HdNFt_WI22m-mGDW5sEXLW9k2PQYWjYXJzKjQzFgUrTEIntkXHZCPACVD_dlaVuz_E3qhMCi96xjUK1jg0JbNuDYE8lZc";
        
          search_form.elements['hl'].value = "en";
        
          search_form.elements['client'].value = "google-coop-np";
        
          search_form.elements['cx'].value = "!003125405486913854919:6ixdakj4aiq";
        
      }
      
    }
  
    search_form.submit();
  
  }
  
  function mirrorRadios(radioButton) {
    
    var radios = document.getElementsByName('search_type');
    
    for (var i = 0; i < radios.length; i++) {
      if (radios[i].value == radioButton.value) {
        radios[i].checked = true;
        radioButton.focus();
      }
    }
    
  }

function chooseSearch_Portal(search_form, search_type) {
  var redirect_to = "";
  switch(search_type) {
    case "all_help":
      redirect_to = "/support/bin/search.py?query=&search_type=all_help";
      break;
    case "web_search":
      redirect_to = "http://www.google.com/custom?"
      
        redirect_to += "cof=AH:left;CX:Google%20Help;L:http://www.google.com/coop/intl/en-US/images/custom_search_sm.gif;LH:65;LP:1;GFNT:#666666;DIV:#cccccc;&";
      
        redirect_to += "adkw=AELymgWlZqFSlDS8nJbtze0E_0HdNFt_WI22m-mGDW5sEXLW9k2PQYWjYXJzKjQzFgUrTEIntkXHZCPACVD_dlaVuz_E3qhMCi96xjUK1jg0JbNuDYE8lZc&";
      
        redirect_to += "hl=en&";
      
        redirect_to += "client=google-coop-np&";
      
        redirect_to += "cx=!003125405486913854919:6ixdakj4aiq&";
      
    break;
  }
  window.location = redirect_to;
}
</script>
  <script src="http://www.google-analytics.com/urchin.js" type="text/javascript">
  </script>
  <script type="text/javascript">
  _uacct = "UA-18500-33";
  _utcp = '/support/';
  _uanchor = 1;
  </script>
 <script type="text/javascript">
  urchinTracker('/support/bin/request.py?hl=en');
 </script>
</head>
<body onload="javascript:setCookies_default('DSLocale','','formLoad');"  class="request_page">
<a href="#content" class="skiplink">Skip to content</a>
<table width="100%" border="0" cellpadding="0" cellspacing="0" class="header_table">
  <tr>
  <td width="153" rowspan="2" class="header_logo_td"><a href="http://documents.google.com/"><img src="http://www.google.com/google-d-s/images/docslogo.gif" alt="Google Docs" border="0"></a></td>
  <td valign="bottom" class="header_heading_td"><h1>Google Docs Help Center</h1></td>
  <td align="right" valign="bottom" class="header_dropdown_td">
  <form method="post" name="changelang" action="javascript:setCookies_default('DSLocale',this.document.changelang.lang.value,'dropdown')" class="lang_dropdown">
  <label for="lang">Change Language:</label>
  <select name="lang" id="lang" onchange="this.form.submit()">
  <option value="ar" >العربية</option>
  <option value="bg" >Български</option>
  <option value="id" >Bahasa Indonesia</option>
  <option value="bn" >Bengali</option>
  <option value="ca" >Català</option>
  <option value="cs" >Česky</option>
  <option value="sr" >Српски</option>
  <option value="da" >Dansk</option>
  <option value="de" >Deutsch</option>
  <option value="en" selected="selected" class="selected">English (US)</option>
  <option value="en-uk" >English (UK)</option>
  <option value="es" >Español</option>
  <option value="fr" >Français</option>
  <option value="gu" >Gujarati</option>
  <option value="it" >Italiano</option>
  <option value="kn" >Kannada</option>
  <option value="lv" >Latviešu</option>
  <option value="lt" >Lietuvių</option>
  <option value="mr" >Marathi</option>
  <option value="ml" >Malayalam</option>
  <option value="hu" >Magyar</option>
  <option value="nl" >Nederlands</option>
  <option value="no" >Norsk</option>
  <option value="or" >Oriya</option>
  <option value="pl" >Polski</option>
  <option value="pt" >Português</option>
  <option value="br" >Português (BR)</option>
  <option value="ru" >Русский</option>
  <option value="ro" >Română</option>
  <option value="sk" >Slovenský</option>
  <option value="sl" >Slovenščina</option>
  <option value="fi" >Suomi</option>
  <option value="sv" >Svenska</option>
  <option value="th" >ภาษาไทย</option>
  <option value="ta" >Tamil</option>
  <option value="te" >Telugu</option>
  <option value="tl" >Tagalog</option>
  <option value="tr" >Türkçe</option>
  <option value="uk" >Українська</option>
  <option value="el" >Ελληνικά</option>
  <option value="iw" >עברית</option>
  <option value="hi" >हिन्दी</option>
  <option value="vi" >Tiếng Việt</option>
  <option value="cn" >中文（简体）</option>
  <option value="b5" >中文（繁體）</option>
  <option value="jp" >日本語</option>
  <option value="ko" >한국어</option>
  </select>
  </form>
  </td>
  </tr>
  <tr class="breadcrumbs_tr">
  <td colspan="2">
  <p class="breadcrumbs">
  <a href="http://www.google.com/support?hl=en" onclick="urchinTracker('/support/outgoing/breadcrumb/portal/en');">Google Help</a>
  &gt; <a href="/support">Google Docs Help</a>
  &gt; Contacting Support
  </p>
  </td>
  </tr>
</table>
<div class="left_column">
  <a href="http://documents.google.com/support/?hl=en">Help Center</a><br>
<br>
<a href="http://www.google.com/google-d-s/tour1.html">Take a Tour</a><br>
<br>
<a href="http://www.google.com/apps/business/index.html#utm_medium=et&utm_source=docs-en-about&utm_campaign=crossnav">Docs for Work or School</a>
<br>
<br>
<a href="http://google-d-s.blogspot.com">Team Blog</a><br>
<br>
<a href="https://survey.google.com/wix/p0822776.aspx?referral_code=DSHP" onClick="javascript:urchinTracker('/support/outgoing/usability/writely/en');">Help us improve Google Docs!</a>
<br />
<br />
<a href="http://www.youtube.com/GoogleDocsCommunity" onClick="javascript:urchinTracker('/support/outgoing/youtube/writely/en');">Videos from the Google Docs community</a>
<br />
</div>
<div class="content">
  <a name="content"></a>
  <script type="text/javascript">
<!--
var total_msg = '';
var any_error = false;
var first = true;	//Track if the first access of checkError

// Initialize the validation
function init(form,target) {
	total_msg = '';
	any_error = false;
	if (!first) {	//If we've run checkError before, remove the previous errors
		document.getElementById(target).removeChild(document.getElementById(target).lastChild);
	} 
}

//Display all error messages
function checkErrors(form,target,alert_msg) {
		first = false;
		if (any_error) {
			errorTable = document.createElement("table");
			        errorTable.id = "errorTable";
                        errorTB = document.createElement("tbody");
			errorTR = document.createElement("tr");
			errorTD = document.createElement("td");
				errorTD.style.border = "1px solid #c00";
				errorTD.style.padding = "6px";
			errorBold = document.createElement("b");
				errorBold.style.color = "#c00";

			//If we received a universal alert message use that instead of the loop 
                        if (alert_msg != "" && typeof(alert_msg) != 'undefined') {
                               alert_msg = alert_msg.replace(/\|/g, "");
                               msg = document.createTextNode(alert_msg);
			       errorBold.appendChild(msg);
                        } else {
    			    //Loop to display each error message
			    var msgArray = total_msg.split("|");

			    for (i=0;i < msgArray.length;i++) {
				msg = document.createTextNode(msgArray[i]);
				errorBold.appendChild(msg);
				errorBold.appendChild(document.createElement("br"));
			    }
			    errorBold.removeChild(errorBold.lastChild);  //Remove trailing break
                        }

			errorTD.appendChild(errorBold);
			errorTR.appendChild(errorTD);
			errorTB.appendChild(errorTR);
			errorTable.appendChild(errorTB);
			document.getElementById(target).appendChild(errorTable);
                        window.scroll(0,0);
			return false;
		}

	//document.styleSheets[0].deleteRule(0);
	return true;
}

function validate() {
	var args = validate.arguments;

	//Standard arguments
	var type = args[0];
	var field = args[1];
	var alert_msg = args[2];

	var error = false;	//Is there an error with this validation?
	var highligh = false;	//Should this field be highlighed if an error is found?

	switch(type) {
	
		case "content":
			var highlight = true;
			var default_msg = "Please fill in all required fields.";
			if (field.value == "") {
				error = true;
			}
			break;


		case "length":
                case "maxlength":
			max_length = (args[3]?args[3]:1000); 
			var highlight = true;
			var default_msg = "Please enter less than " + max_length + " characters. (currently " + field.value.length + " characters)";
			if (field.value.length > max_length) {
		alert_msg = alert_msg.replace(/%NUM_CHARS/i, field.value.length);
		alert_msg = alert_msg.replace(/%MAX_LENGTH/i, max_length);
		error = true;
		}
		break;
  case "minlength":
  min_length = (args[3]?args[3]:1);
  var highlight = true;
  var default_msg = "Please enter more than " + min_length + " characters. (currently " + field.value.length + " characters)";
  if (field.value.length < min_length) {
                                alert_msg = alert_msg.replace(/%NUM_CHARS/i, field.value.length);
                                alert_msg = alert_msg.replace(/%MIN_LENGTH/i, min_length);
                                error = true;
                        }
                        break;

		case "time":
			var highlight = true;
			var default_msg = "Please enter a valid time.";
			time_pattern = /^[1-9]\:[0-5][0-9]\s*(\AM|PM|am|pm?)\s*$/;
			time_pattern2 = /^[1-1][0-2]\:[0-5][0-9]\s*(\AM|PM|am|pm?)\s*$/;		
			time_pattern3 = /^[1-1][0-2]\:[0-5][0-9]\:[0-5][0-9]\s*(\AM|PM|am|pm?)\s*$/;
			time_pattern4 = /^[1-9]\:[0-5][0-9]\:[0-5][0-9]\s*(\AM|PM|am|pm?)\s*$/;	
		
			if (field.value != "") {
				if (!time_pattern.test(field.value) && !time_pattern2.test(field.value) && !time_pattern3.test(field.value) && !time_pattern4.test(field.value)) {
					error = true;
				}
			}
			break;
		
		case "email":
						var domain = args[3];
			var highlight = true;
			var default_msg = "Please enter a valid email address.";
			if (domain != "" && domain != null) {
			  email_pattern = new RegExp("^[^ ]+\@("+domain+")\.[^ ]+$");

			}
                        else {
			  email_pattern = /^[^ ]+\@[^ ]+\.[^ ]+$/;
			}
			if (field.value != "") {
				if (!email_pattern.test(field.value)) {
					error = true;
				}
			}
			break;
	
		case "date":
			var highlight = true;
			var default_msg = "Please enter a valid date.";
			date_pattern = /^(\d{1}|\d{2})\/(\d{1}|\d{2})\/(\d{2}|\d{4})\s*$/;
			if (field.value != "") {
				if (!date_pattern.test(field.value) || !isDateValid(field.value)) {
					error = true;
				}
			}
			break;


                case "not_equal":
			var highlight = true;
                        var value2 = args[3];
			var default_msg = "The two fields cannot be equal.";
			if (field.value == value2) {
				error = true;
			}
			break;


		case "regex":

			var highlight = true;
			var default_msg = "Please enter a valid value.";

			url_pattern = args[3];
			if (field.name != "") {
				if (!url_pattern.test(field.value)) {
					error = true;
				}
			}
			break;


		case "notgmail":
			var highlight = false;
			var default_msg = "Please enter a non-Gmail address.";
			gmail_pattern = new RegExp("^[^ ]+\@("+"gmail"+")\.[^ ]+$");
			googlemail_pattern = new RegExp("^[^ ]+\@("+"googlemail"+")\.[^ ]+$");
			if (field.value != "") {
				if (gmail_pattern.test(field.value.toLowerCase()) 
				    || googlemail_pattern.test(field.value.toLowerCase())) {
					highlight=true;
					error = true;
				}
			}
			break;
			
		case "url":
			var highlight = true;
			var default_msg = "Please enter a valid URL.";
			url_pattern = /^(\http:|https:|mms:)\/\/.+\..+\s*$/;
			if (field.name != "") {
	 			if (!url_pattern.test(field.value)) {
					error = true;
				}
			}
			break;

                case "accountVerificationLink":
                        // http://www.google.com/accounts/VE
                        var highlight = true;
                        var default_msg = "Please enter a valid URL.";
                        url_pattern = /^(\http:\/\/www\.google\.com\/accounts\/VE)/;
			if (field.name != "") {
	 			if (!url_pattern.test(field.value)) {
					error = true;
				}
			}
                        break;

		case "bloggerurl":
			// http://YourBlogName.blogspot.com
			var highlight = true;
			var default_msg = "Please enter a valid URL.";
			
			url_pattern = /^(\http:\/\/[A-Za-z0-9_-]*\.blogspot\.com)$/;
			if (field.name != "") {
	 			if (!url_pattern.test(field.value)) {
					error = true;
				}
			}
			break;


		case "orkuturl":
			//orkut profile starts with http://www.orkut.com/Profile.aspx?uid= and has a UID of at least 8 digits
			var highlight = true;
			var default_msg = "Please enter a valid URL.";
			
			url_pattern = /^(\http:\/\/www\.orkut\.com\/Profile\.aspx\?uid=)\d{8,50}\s*$/;	//limit UID to 50 digits
			if (field.name != "") {
	 			if (!url_pattern.test(field.value)) {
					error = true;
				}
			}
			break;

                case "exactmatch":

                        var highlight = true;
                        var default_msg = "Invalid value. Please check.";
                        error = true;

                        for (i=0; i<args[3].length; i++){
                          if (args[3][i] == field.value){
                              error = false;
                              break;
                          }
                        }
                        break;

                 case "substring":
                        var highlight = true;
                        var default_msg = "Invalid value. Please check.";
                        if (args[1].value.indexOf(args[3]) == -1){
                                 error = true; 
                 
                        }
                        break;

			
		case "zipcode":
			var highlight = true;
			var default_msg = "Please enter a valid zipcode.";
			zip_pattern = /^\d{5}(\-?\d{4})?$/;
			if (field.value != "") {
				if (!zip_pattern.test(field.value)) {
					error = true;
				}
			}
			break;
			
		case "number":
			var highlight = true;
			var default_msg = "Please enter a valid number. Only 0-9 characters are allowed, no letters or symbols.";
			number_pattern = /^\d+$/;
			if (field.value != "") {
				if (!number_pattern.test(field.value)) {
					error = true;
				}
			}
			break;
			
		case "checkbox":
			min_checked = args[3];
			max_checked = args[4];
			var default_msg = "Please check an item from the list.";
			var count = 0;

			if (!field.length && !field.checked) {
				error = true;
			}

                        else {

			for (var i=0; i < field.length; i++) {
				if (field[i].checked) {
					count++;
				}
			}
			if (count < min_checked) {
				error = true;
			}		
			if (max_checked != "" && max_checked != null) {
				if (count > max_checked) {
		error = true;
		}
		}
  }
		break;
		case "select":
		var highlight = true;
		var default_msg = "Please select an option from the pulldown.";
		if (field.value == "") {
		error = true;
		}
		break;
		case "radio":
		var default_msg = "Please select an option from the radio buttons.";
		is_checked = false;
		for (i= 0; i < field.length; i++) {
				if (field[i].checked) {
					is_checked = true;
				}
			}
			if (!is_checked) {
				error = true;
			}
			break;


		case "exactmatch_radio":
			var default_msg = "Please select an option from the radio buttons.";
                        error = true;
			for (i= 0; i < field.length; i++) {
			   if (field[i].checked) {
                             for (j=0; j<args[3].length; j++){
                               if (args[3][j] == field[i].value){
                                 error = false;
                                 break;
                               }
                             }
			  }
			}

			break;


                 case "file":
                        valid_ext = args[3];
			var default_msg = "Please enter a valid file attachment.";
			file_pattern = new RegExp("^.+\.("+valid_ext+")$");
			if (field.value != "") {
				if (!file_pattern.test(field.value)) {
					error = true;
				}
			}
			else	{
				error=true;
			}

			break;

	}

	if (alert_msg == "" || alert_msg == null) alert_msg = default_msg;
	if (error) { 
		any_error = true;
		total_msg = total_msg + alert_msg + "|";
	}
	if (error && highlight) {
		field.setAttribute("class","error");
		field.setAttribute("className","error");  	// For IE
	}
	else if (highlight && field.value != "" && field.getAttribute("className") == "error") {
		field.removeAttribute("class");
		field.removeAttribute("className");		// For IE
	}
}



function isDateValid(dateString) {
var daysInMonth = new Array(13);
daysInMonth[1] = 31;
daysInMonth[2] = 29;
daysInMonth[3] = 31;
daysInMonth[4] = 30;
daysInMonth[5] = 31;
daysInMonth[6] = 30;
daysInMonth[7] = 31;
daysInMonth[8] = 31;
daysInMonth[9] = 30;
daysInMonth[10] = 31;
daysInMonth[11] = 30;
daysInMonth[12] = 31;

var theDate = dateString.split("/");

var intYear = parseInt(theDate[2],10);
var intMonth = parseInt(theDate[0],10);
var intDay = parseInt(theDate[1],10);

if (intMonth < 1 || intMonth > 12 ) return false;
if (intDay > daysInMonth[intMonth]) return false;
if ((intMonth == 2) && (intDay > daysInFebruary(intYear))) return false;
return true;
}
function daysInFebruary(year) {
  return ( ((year % 4 == 0) && ( (!(year % 100 == 0)) || (year % 400 == 0) ) ) ? 29 : 28 );
}
function resetForms(w) {
  if (!w) {
  w = window;
  }
  if(document.forms.length>0) {
  for(var i=0;i<document.forms.length;i++)  {
      document.forms[i].reset();
    }
  }
  if(document.layers){
    for(var j=0;j<w.document.layers.length;j++) {
      resetForms(w.document.layers[j]); 
    }
  }
}
-->
</script>
<style type="text/css">
.error {
  border: 1px solid #c00;
  margin-bottom:2px;
  background-color:#FBF1F1;
}
</style>
  <script language="JavaScript"><!--
var form='menu' //Give the form name here
var checked=0

function SetChecked(val,chkName, ts_issue, action) {
    if (chkName == "contact_type" && val == "1"){
      checked = 1;
      document.getElementById("tsprob").value = ts_issue;
      document.getElementById("contact_type").value = ts_issue;

    }
   else {
      checked = 0;
   }

   if (action == "contact"){
      this.document.menu.action = "/support/bin/request.py";
   }
   else if (action == "ts"){
      this.document.menu.action = "/support/bin/static.py";
   }
   else {
    this.document.menu.action = "/support/bin/request.py";
   }
}
function showLayer1(layer) {
document.getElementById(layer).style.display = "block";
}
//--></script>
<SCRIPT LANGUAGE="Javascript"><!--
function handleSubmit(f) {
  if (checked == 0) {
     alert("Please select a topic.");
     return false;
  }

  return true;
}
//-->
</script>
<p><b><font size="+0">Thanks for your interest in Google Docs.</font></b></p>
<p><font size="-1">Please select the option that best describes what's happening:</font></p>
<table width="90%">
<tr>
  <td valign="top">
<form name="menu" method="get" onSubmit="return handleSubmit(this)" action="" >
<input type=hidden name=page value="troubleshooter.cs">
<input type=hidden id=tsprob name=problem value="">
<input type=hidden id=contact_type name=contact_type value="">
<input id="stage" type="hidden" name="stage" value="fm">
<table width="100%" border="0">
  <tr valign="middle">
  <td valign="top" width="200"><input type=radio name=contact_typemaster value="login" onclick="SetChecked(1,'contact_type',this.value,'ts');  hideLayer('other');hideLayer('third');showLayer('first')"></td>
  <td>Docs list issues</td>
  </tr>
  <tr valign="middle">
  <td valign="top"><input type=radio name=contact_typemaster value="abuse" onclick="document.location.href='http://spreadsheets.google.com/viewform?key=pII_7TeI5px4z4NlJv_LnRw' "></td>
  <td>Report abuse</td>
  </tr>
  <tr valign="middle">
  <td valign="top"><input type=radio name=contact_typemaster value="bug" onClick="SetChecked(1,'contact_type',this.value,'ts');hideLayer('other');hideLayer('first');showLayer('third')"></td>
  <td width="100%">Report a problem</td>
  </tr>
  <tr valign="middle">
  <td valign="top"><input type=radio name=contact_typemaster value="how" onClick="SetChecked(1,'contact_type',this.value,'ts');hideLayer('other');hideLayer('first'); hideLayer('third')"></td></td>
  <td width="100%">Learn how to</td>
  </tr>
  <tr valign="middle">
  <td valign="top"><input type=radio name=contact_typemaster value="other" onClick="SetChecked(0,'contact_type',this.value, 'ts');showLayer1('other');hideLayer('first'); hideLayer('third')"></td>
  <td width="100%">Other
  <table id="other" style="display:none" width="100%">
  <tr>
  <td>&nbsp;</td>
  <td><input type=radio name=other value="featuresuggest" onClick="SetChecked(1,'contact_type',this.value);hideLayer('first'); hideLayer('third')"></td>
  <td width="100%">Suggestions</td>
  </tr>
		<tr>
  <td>&nbsp;</td>
  <td><input type=radio name=other value="praise" onClick="SetChecked(1,'contact_type',this.value,'contact'); hideLayer('first'); hideLayer('third')"></td>
  <td width="100%">Praise</td>
  </tr>
  </table>	</td>
  </tr>
</table>
<br>
<input type=SUBMIT name=Action.Search value="Continue">
</form>
</td>
<td>
	<div class="lightbulb" id="first" style="display:none" >Most common issues are corrected by trying one or more of the steps below. Before contacting us, please try these troubleshooting tips:
<ul>
<li>Try accessing Google Docs from another browser.</li>
<li>Make sure that cookies are enabled in your browser. Instructions for enabling cookies can be found <a href="http://www.google.com/cookies.html" onClick="javascript:urchinTracker('/support/outgoing/contact_us/yellowbox/en');">here</a></li>
<li>Clear your cache and cookies, then try accessing your account again. Instructions for clearing your cache and cookies can be found <a href="http://www.google.com/support/bin/answer.py?answer=497&topic=8995" onClick="javascript:urchinTracker('/support/outgoing/contact_us/yellowbox/en');">here</a></li>
<li>Try logging in using https://docs.google.com</li>
</ul>
If you have more than one account, make sure that you're logging into the right one.
</div>
	<div class="lightbulb" id="third" style="display:none" >Most common issues are corrected by trying one or more of the steps below. Before contacting us, please try these troubleshooting tips:
<ul>
<li>Try accessing Google Docs from another browser.</li>
<li>Make sure that cookies are enabled in your browser. Instructions for enabling cookies can be found <a href="http://www.google.com/cookies.html" onClick="javascript:urchinTracker('/support/outgoing/contact_us/yellowbox/en');">here</a></li>
<li>Clear your cache and cookies, then try accessing your account again. Instructions for clearing your cache and cookies can be found <a href="http://www.google.com/support/bin/answer.py?answer=497&topic=8995" onClick="javascript:urchinTracker('/support/outgoing/contact_us/yellowbox/en');">here</a></li>
<li>Try logging in using https://docs.google.com</li>
</ul>
If you have more than one account, make sure that you're logging into the right one.
</div>
</td>
</tr>
</table>
<script type="text/javascript">
  window.onload = function() {
  resetForms();
  }
  window.onunload = function() {}
</script>
</div>
<p class="footer_nav">
  <span class="first">
  &copy;2008 Google
  </span><span class="therest">
  -
  <a href="http://www.google.com/intl/en/">Google Home</a>
  -
  <a href="http://www.google.com/intl/en/about.html">About Google</a>
  -
  <a href="http://www.google.com/google-d-s/privacy.html">Privacy Policy</a>
  -
  <a href="http://www.google.com/accounts/TOS?hl=en">Terms of Service</a>
  -
  <a href="http://www.google.com/google-d-s/terms.html">Additional Terms</a>
  -
  <a href="http://documents.google.com/support/bin/request.py?contact_type=contact_policy&ctx=docs&hl=en">Contacting Support</a>
  </span>
</p>
</body>
</html>
